## qt6-networkauth 6.2.4

=== CMakeLists.txt ===
# Generated from qtnetworkauth.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtNetworkAuth
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt Network Auth Libraries" # special case
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# special case begin
# Make sure we only use latest private CMake API, aka no compatibility wrappers.
set(QT_NO_INTERNAL_COMPATIBILITY_FUNCTIONS TRUE)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)
# special case end

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core Network) # special case
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Widgets) # special case

if(NOT TARGET Qt::Network)
    message(NOTICE "Skipping the build as the condition \"TARGET Qt::Network\" is not met.")
    return()
endif()

if(NOT QT_FEATURE_http)
    message(NOTICE "Skipping the build as the condition \"QT_FEATURE_http\" is not met.")
    return()
endif()
qt_build_repo()

=== examples/CMakeLists.txt ===
# Generated from examples.pro.

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(oauth)

qt_examples_build_end()

=== debian/changelog ===
qt6-networkauth (6.2.4-1+dde) unstable; urgency=medium

  * New upstream release (6.2.4).

 -- Duan Ting <duanting@uniontech.com>  Thu, 09 Jun 2022 16:11:17 +0800

qt6-networkauth (6.2.2-1) experimental; urgency=medium

  [ Lu YaNing ]
  * Fix d/copyright Upstream-Name.
  * List cmake files in detail.

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 09:44:35 +0100

qt6-networkauth (6.2.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Source-only upload to experimental.

 -- Patrick Franz <deltaone@debian.org>  Sun, 21 Nov 2021 02:00:53 +0100

qt6-networkauth (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #998866)

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Nov 2021 06:37:49 +0100

=== debian/control ===
Source: qt6-networkauth
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.2.4~),
               qt6-base-private-dev (>= 6.2.4~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth.git
Rules-Requires-Root: no

Package: libqt6networkauth6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 QtNetworkAuth library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Network Authorization provides a set of APIs that enable Qt
 applications to obtain limited access to online accounts and HTTP
 services without exposing users' passwords.
 .
 This package contains the QtNetworkAuth libraries.

Package: libqt6networkauth6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6networkauth6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 QtNetworkAuth - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Network Authorization provides a set of APIs that enable Qt
 applications to obtain limited access to online accounts and HTTP
 services without exposing users' passwords.
 .
 This package contains the development files needed to build Qt 6 applications
 using the QtNetworkAuth library.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake+ninja --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

execute_after_dh_auto_install:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-networkauth 6.3.1

=== debian/changelog ===
qt6-networkauth (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:56 +0200

qt6-networkauth (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Fri, 15 Jul 2022 20:55:21 +0200

qt6-networkauth (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.

 -- Patrick Franz <deltaone@debian.org>  Sun, 29 May 2022 20:42:23 +0200

qt6-networkauth (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:54 +0200

qt6-networkauth (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Tue, 29 Mar 2022 20:31:35 +0200

qt6-networkauth (6.2.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:18:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: cmake (>= 3.18~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.2.4~),
-               qt6-base-private-dev (>= 6.2.4~),
-Standards-Version: 4.6.0
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth.git

## qt6-networkauth 6.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,14 +9,6 @@
     HOMEPAGE_URL "https://qt.io/"
     LANGUAGES CXX C
 )
-
-# special case begin
-# Make sure we only use latest private CMake API, aka no compatibility wrappers.
-set(QT_NO_INTERNAL_COMPATIBILITY_FUNCTIONS TRUE)
-
-# Make sure we use the fixed BASE argument of qt_add_resource.
-set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)
-# special case end
 
 find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core Network) # special case
 find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Widgets) # special case

=== src/oauth/CMakeLists.txt ===
# Generated from oauth.pro.

#####################################################################
## NetworkAuth Module:
#####################################################################

qt_internal_add_module(NetworkAuth
    SOURCES
        qabstractoauth.cpp qabstractoauth.h qabstractoauth_p.h
        qabstractoauth2.cpp qabstractoauth2.h qabstractoauth2_p.h
        qabstractoauthreplyhandler.cpp qabstractoauthreplyhandler.h qabstractoauthreplyhandler_p.h
        qoauth1.cpp qoauth1.h qoauth1_p.h
        qoauth1signature.cpp qoauth1signature.h qoauth1signature_p.h
        qoauth2authorizationcodeflow.cpp qoauth2authorizationcodeflow.h qoauth2authorizationcodeflow_p.h
        qoauthglobal.h
        qoauthhttpserverreplyhandler.cpp qoauthhttpserverreplyhandler.h qoauthhttpserverreplyhandler_p.h
        qoauthoobreplyhandler.cpp qoauthoobreplyhandler.h
    LIBRARIES
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Network
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
)

#### Keys ignored in scope 1:.:.:oauth.pro:<TRUE>:
# MODULE = "networkauth"
qt_internal_add_docs(NetworkAuth
    doc/qtnetworkauth.qdocconf
)

=== examples/oauth/redditclient/CMakeLists.txt ===
# Generated from redditclient.pro.

cmake_minimum_required(VERSION 3.16)
project(redditclient LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/oauth/redditclient")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS Network)
find_package(Qt6 COMPONENTS NetworkAuth)

qt_add_executable(redditclient
    main.cpp
    redditmodel.cpp redditmodel.h
    redditwrapper.cpp redditwrapper.h
)
set_target_properties(redditclient PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(redditclient PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::NetworkAuth
    Qt::Widgets
)

install(TARGETS redditclient
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.16)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

=== tests/auto/oauth1signature/CMakeLists.txt ===
# Generated from oauth1signature.pro.

#####################################################################
## tst_oauth1signature Test:
#####################################################################

qt_internal_add_test(tst_oauth1signature
    SOURCES
        tst_oauth1signature.cpp
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        Qt::NetworkAuth
)

#### Keys ignored in scope 1:.:.:oauth1signature.pro:<TRUE>:
# TEMPLATE = "app"

=== debian/changelog ===
qt6-networkauth (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 Jan 2023 23:03:37 +0100

qt6-networkauth (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6networkauth6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:53:38 +0100

qt6-networkauth (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:33 +0100

qt6-networkauth (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:27:02 +0100

qt6-networkauth (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6networkauth6-dev to qt6-networkauth-dev.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sun, 27 Nov 2022 20:33:22 +0100

qt6-networkauth (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Nov 2022 23:24:13 +0100

qt6-networkauth (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add debian/.gitignore.
  * Add debian/.git-attributes.
  * Bump CMake minimum version in order to get the relevant .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 05 Oct 2022 20:38:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,18 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.2+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-Standards-Version: 4.6.1
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth.git
@@ -35,13 +35,16 @@
  .
  This package contains the QtNetworkAuth libraries.
 
-Package: libqt6networkauth6-dev
+Package: qt6-networkauth-dev
+Provides: libqt6networkauth6-dev (= ${binary:Version})
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6networkauth6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
+Breaks: libqt6networkauth6-dev (<< 6.4.1-1~)
+Replaces: libqt6networkauth6-dev (<< 6.4.1-1~)
 Description: Qt 6 QtNetworkAuth - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/architecture.mk
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 
 %:
 	dh $@ --buildsystem=cmake+ninja --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		--log-level=STATUS \
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
 
 execute_after_dh_auto_install:

## qt6-networkauth 6.6.1

=== debian/changelog ===
qt6-networkauth (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Dec 2023 21:25:35 +0100

qt6-networkauth (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Dec 2023 21:44:33 +0100

qt6-networkauth (6.4.2-5) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add lintian override for qt6-networkauth-doc-html.

 -- Patrick Franz <deltaone@debian.org>  Fri, 13 Oct 2023 01:04:34 +0200

qt6-networkauth (6.4.2-4) unstable; urgency=medium

  * Team upload.
  * Add symlink to let users find the html doc in the normal Debian path.
  * Properly rename doc-base's file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 23 Jul 2023 10:03:10 -0300

qt6-networkauth (6.4.2-3) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 22 Jul 2023 19:09:29 -0300

qt6-networkauth (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1033706).
  * Update descriptions.

 -- Patrick Franz <deltaone@debian.org>  Wed, 14 Jun 2023 00:57:57 +0200

=== debian/control ===
Source: qt6-networkauth
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.6.1+dfsg~),
               qt6-base-private-dev (>= 6.6.1+dfsg~),
Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth.git
Rules-Requires-Root: no

Package: libqt6networkauth6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 NetworkAuth library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Network Authorization provides a set of APIs that enable Qt
 applications to obtain limited access to online accounts and HTTP
 services without exposing users' passwords.
 .
 This package contains the Qt 6 NetworkAuth libraries.

Package: qt6-networkauth-dev
Provides: libqt6networkauth6-dev (= ${binary:Version}),
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6networkauth6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6networkauth6-dev (<< 6.4.1-1~),
Replaces: libqt6networkauth6-dev (<< 6.4.1-1~),
Description: Qt 6 NetworkAuth - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Network Authorization provides a set of APIs that enable Qt
 applications to obtain limited access to online accounts and HTTP
 services without exposing users' passwords.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Qt 6 NetworkAuth library.

Package: qt6-networkauth-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 network auth documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 network auth.

Package: qt6-networkauth-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 network auth HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 network auth.

Package: qt6-networkauth-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 networkauth tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the qt network auth
 documentation.

Package: qt6-networkauth-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 network auth examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt network auth submodule.

## qt6-networkauth 6.6.2

=== debian/changelog ===
qt6-networkauth (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:29:57 +0200

qt6-networkauth (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Feb 2024 19:27:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                      qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2

## qt6-networkauth 6.7.2

=== debian/changelog ===
qt6-networkauth (6.7.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:53:16 +0200

qt6-networkauth (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Aug 2024 23:44:39 +0200

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth.git

## qt6-networkauth 6.8.0

=== debian/changelog ===
qt6-networkauth (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Mon, 11 Nov 2024 11:06:32 +0800

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth.git

## qt6-networkauth 6.8.1

=== debian/changelog ===
qt6-networkauth (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:51:30 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-networkauth
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -9,13 +10,13 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth.git

## qt6-networkauth 6.8.2

=== tests/auto/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(cmake)
add_subdirectory(oauth1)
add_subdirectory(oauth2)
add_subdirectory(oauth1signature)
add_subdirectory(oauthhttpserverreplyhandler)
if(QT_FEATURE_urischeme_replyhandler)
    add_subdirectory(oauthurischemereplyhandler)
endif()
if(QT_FEATURE_private_tests)
    add_subdirectory(abstractoauth)
endif()

=== tests/auto/oauthhttpserverreplyhandler/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from oauthhttpserverreplyhandler.pro.

#####################################################################
## tst_oauthhttpserverreplyhandler Test:
#####################################################################

qt_internal_add_test(tst_oauthhttpserverreplyhandler
    SOURCES
        ../shared/webserver.h
        tst_oauthhttpserverreplyhandler.cpp
    INCLUDE_DIRECTORIES
        ../shared
    LIBRARIES
        Qt::CorePrivate
        Qt::Network
        Qt::NetworkAuth
)

#### Keys ignored in scope 1:.:.:oauthhttpserverreplyhandler.pro:<TRUE>:
# TEMPLATE = "app"

=== debian/changelog ===
qt6-networkauth (6.8.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:52:50 +0100

qt6-networkauth (6.8.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Feb 2025 11:59:31 +0100

qt6-networkauth (6.8.2-2) experimental; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2025 15:33:07 +0100

qt6-networkauth (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Feb 2025 21:36:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-networkauth
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -12,8 +11,8 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-networkauth 6.8.3

=== src/oauth/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 # Generated from oauth.pro.
 
 #####################################################################
@@ -14,7 +17,7 @@
         qoauth2authorizationcodeflow.cpp qoauth2authorizationcodeflow.h qoauth2authorizationcodeflow_p.h
         qoauthglobal.h
         qoauthhttpserverreplyhandler.cpp qoauthhttpserverreplyhandler.h qoauthhttpserverreplyhandler_p.h
-        qoauthoobreplyhandler.cpp qoauthoobreplyhandler.h
+        qoauthoobreplyhandler.cpp qoauthoobreplyhandler.h qoauthoobreplyhandler_p.h
     LIBRARIES
         Qt::CorePrivate
     PUBLIC_LIBRARIES
@@ -22,6 +25,14 @@
         Qt::Network
     PRIVATE_MODULE_INTERFACE
         Qt::CorePrivate
+    NO_GENERATE_CPP_EXPORTS
+)
+
+qt_internal_extend_target(NetworkAuth CONDITION QT_FEATURE_urischeme_replyhandler
+    SOURCES
+        qoauthurischemereplyhandler.cpp qoauthurischemereplyhandler.h
+    LIBRARIES
+        Qt::Gui
 )
 
 #### Keys ignored in scope 1:.:.:oauth.pro:<TRUE>:

=== examples/oauth/redditclient/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause
+
 # Generated from redditclient.pro.
 
 cmake_minimum_required(VERSION 3.16)
@@ -24,7 +27,6 @@
 qt_add_executable(redditclient
     main.cpp
     redditmodel.cpp redditmodel.h
-    redditwrapper.cpp redditwrapper.h
 )
 set_target_properties(redditclient PROPERTIES
     WIN32_EXECUTABLE TRUE

=== src/oauth/doc/snippets/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

project(networkauth_cppsnippets)

find_package(Qt6 REQUIRED COMPONENTS Core NetworkAuth Gui)

qt_standard_project_setup(REQUIRES 6.5)

add_executable(networkauth_cppsnippets
    src_oauth_replyhandlers.cpp
)

target_link_libraries(networkauth_cppsnippets PRIVATE Qt6::Core Qt6::NetworkAuth Qt6::Gui)

=== debian/changelog ===
qt6-networkauth (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:21:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-networkauth
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -11,8 +12,8 @@
                ninja-build,
                pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-networkauth 6.9.1

=== debian/changelog ===
qt6-networkauth (6.9.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Install missing cmake-files.
  * Do not use ccache on hurd.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Aug 2025 11:34:21 +0200

qt6-networkauth (6.9.1-2) experimental; urgency=medium

  * Team upload.
  * Update the symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Jul 2025 22:17:29 +0200

qt6-networkauth (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Jul 2025 14:28:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: qt6-networkauth
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-Build-Depends: cmake (>= 3.24~),
-               debhelper-compat (= 13),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>,
+Build-Depends: debhelper-compat (= 13),
+               ccache [linux-any],
+               cmake (>= 3.24~),
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth.git

## qt6-networkauth 6.9.2

=== tests/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from tests.pro.

if(QT_BUILD_STANDALONE_TESTS)
    # Add qt_find_package calls for extra dependencies that need to be found when building
    # the standalone tests here.
endif()

qt_build_tests()

=== src/oauth/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,8 @@
         qoauth1.cpp qoauth1.h qoauth1_p.h
         qoauth1signature.cpp qoauth1signature.h qoauth1signature_p.h
         qoauth2authorizationcodeflow.cpp qoauth2authorizationcodeflow.h qoauth2authorizationcodeflow_p.h
+        qoauth2deviceauthorizationflow.cpp qoauth2deviceauthorizationflow.h
+        qoauth2deviceauthorizationflow_p.h
         qoauthglobal.h
         qoauthhttpserverreplyhandler.cpp qoauthhttpserverreplyhandler.h qoauthhttpserverreplyhandler_p.h
         qoauthoobreplyhandler.cpp qoauthoobreplyhandler.h qoauthoobreplyhandler_p.h

=== examples/oauth/redditclient/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(redditclient LANGUAGES CXX)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/oauth/redditclient")

find_package(Qt6 REQUIRED COMPONENTS Core Gui Network NetworkAuth Widgets)

qt_standard_project_setup()

qt_add_executable(redditclient
    main.cpp
    redditmodel.cpp redditmodel.h
)

set_target_properties(redditclient PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(redditclient PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Network
    Qt6::NetworkAuth
    Qt6::Widgets
)

install(TARGETS redditclient
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/cmake/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(qtnetworkauth_cmake_tests)

enable_testing()

find_package(Qt6Core REQUIRED)

include("${_Qt6CTestMacros}")

_qt_internal_test_module_includes(
    NetworkAuth QOAuthHttpServerReplyHandler
)

=== tests/auto/oauth1/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from oauth1.pro.

#####################################################################
## tst_oauth1 Test:
#####################################################################

qt_internal_add_test(tst_oauth1
    SOURCES
        ../shared/webserver.h ../shared/webserver.cpp
        tst_oauth1.cpp
    INCLUDE_DIRECTORIES
        ../shared
    LIBRARIES
        Qt::CorePrivate
        Qt::Network
        Qt::NetworkAuth
        Qt::NetworkAuthPrivate
)

#### Keys ignored in scope 1:.:.:oauth1.pro:<TRUE>:
# TEMPLATE = "app"

=== tests/auto/oauth1signature/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 # Generated from oauth1signature.pro.
 
 #####################################################################
@@ -7,7 +10,7 @@
 qt_internal_add_test(tst_oauth1signature
     SOURCES
         tst_oauth1signature.cpp
-    PUBLIC_LIBRARIES
+    LIBRARIES
         Qt::CorePrivate
         Qt::NetworkAuth
 )

=== tests/auto/oauth2codeflow/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

list(APPEND test_data "../shared/certs")

qt_internal_add_test(tst_oauth2codeflow
    SOURCES
        ../shared/webserver.h ../shared/webserver.cpp
        ../shared/tlswebserver.h ../shared/tlswebserver.cpp
        ../shared/oauthtestutils.h ../shared/oauthtestutils.cpp
        tst_oauth2codeflow.cpp
    INCLUDE_DIRECTORIES
        ../shared
    LIBRARIES
        Qt::CorePrivate
        Qt::Network
        Qt::NetworkAuth
        Qt::NetworkAuthPrivate
    TESTDATA ${test_data}
)

=== tests/auto/oauth2deviceflow/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

list(APPEND test_data "../shared/certs")

qt_internal_add_test(tst_oauth2deviceflow
    SOURCES
        ../shared/webserver.h ../shared/webserver.cpp
        ../shared/tlswebserver.h ../shared/tlswebserver.cpp
        ../shared/oauthtestutils.h ../shared/oauthtestutils.cpp
        tst_oauth2deviceflow.cpp
    INCLUDE_DIRECTORIES
        ../shared
    LIBRARIES
        Qt::CorePrivate
        Qt::Network
        Qt::NetworkAuth
        Qt::NetworkAuthPrivate
    TESTDATA ${test_data}
)

=== tests/auto/oauthhttpserverreplyhandler/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 qt_internal_add_test(tst_oauthhttpserverreplyhandler
     SOURCES
-        ../shared/webserver.h
+        ../shared/webserver.h ../shared/webserver.cpp
         tst_oauthhttpserverreplyhandler.cpp
     INCLUDE_DIRECTORIES
         ../shared

=== tests/auto/oauthurischemereplyhandler/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_test(tst_oauthurischemereplyhandler
    SOURCES
        tst_oauthurischemereplyhandler.cpp
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Network
        Qt::NetworkAuth
)

=== tests/manual/examples/twittertimeline/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from twittertimeline.pro.

cmake_minimum_required(VERSION 3.16)
project(twittertimeline LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
  set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/oauth/twittertimeline")

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Widgets)
find_package(Qt6 COMPONENTS Network)
find_package(Qt6 COMPONENTS NetworkAuth)

qt_add_executable(twittertimeline
    main.cpp
    twitter.cpp twitter.h
    twitterdialog.ui
    twittertimelinemodel.cpp twittertimelinemodel.h
)
set_target_properties(twittertimeline PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE FALSE
)
target_link_libraries(twittertimeline PUBLIC
    Qt::Core
    Qt::Network
    Qt::NetworkAuth
    Qt::Widgets
)

install(TARGETS twittertimeline
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== debian/changelog ===
qt6-networkauth (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 26 Oct 2025 17:31:39 +0100

qt6-networkauth (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:49:13 +0200

qt6-networkauth (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Sep 2025 20:31:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               ccache [linux-any],
                cmake (>= 3.24~),
                libgl-dev,
                libssl-dev,
@@ -12,15 +11,14 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.9.1+dfsg~),
-               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-base-dev (>= 6.9.2+dfsg~),
+               qt6-base-private-dev (>= 6.9.2+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                      qt6-documentation-tools (>= 6.9~) <!nodoc>,
 Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-networkauth.git
-Rules-Requires-Root: no
 
 Package: libqt6networkauth6
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

# enable ccache with corresponding build-profile
ifneq ($(filter ccache,$(DEB_BUILD_PROFILES)),)
	extra_cmake_args += -DQT_USE_CCACHE=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
		sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtnetworkauth-everywhere-src-(.*)\.tar\.xz
